%define pypi_name tls-parser
%define srcname tls_parser

Name:       python-%{pypi_name}
Version:    1.2.2
Release:    %mkrel 1
Summary:    Small library to parse TLS records
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/tls-parser
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Small library to parse TLS records; used by SSLyze.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small library to parse TLS records; used by SSLyze.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/tls_parser
%{python3_sitelib}/tls_parser-%{version}-*.egg-info


%changelog
* Fri Dec 25 2020 guillomovitch <guillomovitch> 1.2.2-1.mga8
+ Revision: 1663591
- imported package python-tls-parser

